package com.bjtdba.order.service;

import com.bjtdba.entity.order.Recommend;
import com.bjtdba.order.vo.CategoryVo;
import com.bjtdba.order.vo.RecommendDetailVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * (Recommend)表服务接口
 *
 * @author makejava
 * @since 2022-10-19 13:24:00
 */
public interface RecommendService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Recommend queryById(Integer id);

    /**
     * 分页查询
     *
     * @param recommend 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
//    Page<Recommend> queryByPage(Recommend recommend, PageRequest pageRequest);
    public List<Recommend> querList(Recommend recommend);


    /**
     * 新增数据
     *
     * @param recommend 实例对象
     * @return 实例对象
     */
    Recommend insert(Recommend recommend);

    /**
     * 修改数据
     *
     * @param recommend 实例对象
     * @return 实例对象
     */
    Recommend update(Recommend recommend);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 查询小于等于当前的前10条日期
     * @return
     */
    public  List<Date> queryShowTime();

    /**
     * 查询大仓商品详细信息
     * @return
     */
    RecommendDetailVo queryDetail(Integer id);

    /**
     * 大仓分类
     */
    List<CategoryVo> queryCategorylist();

    /**
     * 大仓推荐分享查询
     * @param id
     * @return
     */
    Map<String,String> queryByIdShare(Integer id);

    /**
     * 店铺分类
     */
    public List<CategoryVo>  queryCategorylistMerid(Integer merid);

}
